package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.PayMoneyLog;

/**
 * 支付记录Mapper接口
 * 
 * @author ruoyi
 * @date 2025-05-13
 */
public interface PayMoneyLogMapper 
{
    /**
     * 查询支付记录
     * 
     * @param id 支付记录主键
     * @return 支付记录
     */
    public PayMoneyLog selectPayMoneyLogById(Long id);

    /**
     * 查询支付记录列表
     * 
     * @param payMoneyLog 支付记录
     * @return 支付记录集合
     */
    public List<PayMoneyLog> selectPayMoneyLogList(PayMoneyLog payMoneyLog);

    /**
     * 新增支付记录
     * 
     * @param payMoneyLog 支付记录
     * @return 结果
     */
    public int insertPayMoneyLog(PayMoneyLog payMoneyLog);

    /**
     * 修改支付记录
     * 
     * @param payMoneyLog 支付记录
     * @return 结果
     */
    public int updatePayMoneyLog(PayMoneyLog payMoneyLog);

    /**
     * 删除支付记录
     * 
     * @param id 支付记录主键
     * @return 结果
     */
    public int deletePayMoneyLogById(Long id);

    /**
     * 批量删除支付记录
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deletePayMoneyLogByIds(Long[] ids);
}
